#!/usr/bin/env bash
DIRNAME=$(dirname ${BASH_SOURCE[0]})
if [ -z "${GSA_SERVICE_ID}" ]; then
    if [ -f ${DIRNAME}/../insightedge/conf/insightedge-env.sh ]; then
        source ${DIRNAME}/../insightedge/conf/insightedge-env.sh
    else
        source ${DIRNAME}/setenv.sh
    fi
fi
if [[ $1 == run-command ]]; then
    GS_COMMAND_ID=$2
	shift 2
elif [[ $1 == services* ]]; then
    GS_COMMAND_ID=service-grid
else
    GS_COMMAND_ID=cli
fi
GS_COMMAND="`$JAVACMD -cp "$GS_HOME/lib/required/*" com.gigaspaces.cli.GsPremiumCommandFactory $GS_COMMAND_ID $1` $*"
if [[ $GS_COMMAND == Error:* ]]; then
    echo $GS_COMMAND
else
    if [[ $GS_VERBOSE == "true" ]]; then
        echo Executing GigaSpaces command:
        echo $GS_COMMAND
        echo --------------------------------------------------------------------------------
    fi
    $GS_COMMAND
fi