#!/usr/bin/env bash

if  [ $# -ne 2 ] || [[ $1 = "--help" ]]; then
  echo ""
  echo "Usage: build.sh <name:tag> <resource>"
  echo "Builds a GigaSpaces Processing Unit docker image for the specified resource"
  echo "Parameters:"
  echo    "<name:tag>    The name and tag of the docker image."
  echo    "<resource>    The path or url of the processing unit resource file (e.g. /path/to/my-service-1.0.jar)"
  echo ""
  echo ""
  exit 0
fi


if [ -f "$2" ]; then
   parentdir="$(dirname "$2")"
   fileName="${2##*/}"
else
   parentdir="."
   fileName=$2
fi



docker build -t $1  -f $GS_HOME/tools/kubernetes/service/Dockerfile --build-arg GS_SERVICE_RESOURCE=$fileName $parentdir